OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Variables
palettes.h File Reference

The colour translation of the GRF palettes. More...

`#include "../core/endian_type.hpp"`

Go to the source code of this file.

## Data Structures
struct | ExtraPaletteValues
| Description of tables for the palette animation. More...

## Macros
#define | M(r, g, b) Colour(r, g, b)

## Variables
static const Palette | _palette
| Colour palette (DOS)
static const uint | EPV_CYCLES_DARK_WATER = 5
| Description of the length of the palette cycle animations.
static const uint | EPV_CYCLES_LIGHTHOUSE = 4
| length of the lighthouse/stadium animation
static const uint | EPV_CYCLES_OIL_REFINERY = 7
| length of the oil refinery's fire animation
static const uint | EPV_CYCLES_FIZZY_DRINK = 5
| length of the fizzy drinks animation
static const uint | EPV_CYCLES_GLITTER_WATER = 15
| length of the glittery water animation
static const ExtraPaletteValues | _extra_palette_values
| Actual palette animation tables.
static const byte | _string_colourmap [17]
| Colour mapping for the TextColours.

## Detailed Description

The colour translation of the GRF palettes.

Definition in file palettes.h.

## Variable Documentation

const byte _string_colourmap[17]
| static

Initial value:
{
150,
12,
189,
184,
174,
30,
195,
209,
68,
95,
79,
116,
15,
152,
6,
133,
1,
}

Colour mapping for the TextColours.

Definition at line 152 of file palettes.h.

Referenced by Window::DrawWidgets(), SetColourRemap(), and ViewportDrawDirtyBlocks().

const uint EPV_CYCLES_DARK_WATER = 5
| static

Description of the length of the palette cycle animations.

length of the dark blue water animation

Definition at line 99 of file palettes.h.